{% extends 'MateriasBundle::layout.html.twig' %}

{% block title %}<h1>Administraci&oacute;n de materias</h1>{% endblock %}

{% block head_css %}
    <link href="{{ asset('bundles/materias/js/tooltipster/css/tooltipster.bundle.min.css') }}" rel="stylesheet" />
    <link href="{{ asset('bundles/materias/js/tooltipster/css/plugins/tooltipster/sideTip/themes/tooltipster-sideTip-light.min.css') }}" rel="stylesheet" />
{% endblock %}
{% block head_js %}
    <script src="{{ asset('bundles/materias/js/tooltipster/js/tooltipster.bundle.min.js') }}"></script>
{% endblock %}

{% block content %}
    <div class="row">
        <a href="{{ path('admin_materia_crear') }}" class="button alert"><i class="fi-plus"></i> Crear materia</a>
    </div>
    
    <div class="row">
        <div class="medium-2 columns item head">ID</div>
        <div class="medium-4 columns item head">Nombre</div>
        <div class="medium-3 columns item head">Profesor</div>
        <div class="medium-3 columns item head">Acciones</div>
    </div>
    {% for materia in materias %}
        <div class="medium-2 columns item">{{ materia.getId }}</div>
        <div class="medium-4 columns item">{{ materia.getNombre }}</div>
        <div class="medium-3 columns item">{{ materia.getProfesor.getNombre }}</div>
        <div class="medium-3 columns item">
            <a class="tooltip-x" title='Editar materia'  href="{{ path('admin_materia_editar', {'id': materia.getId }) }}"><i class="fi-pencil"></i></a>
            <a rel="borrar-materia" class="tooltip-x" title='Borrar materia'  href="{{ path('admin_materia_borrar', {'id': materia.getId }) }}"><i class="fi-trash"></i></a>
        </div>
    {% endfor %}
{% endblock %}
